Permalink
Browse files

These are already required through AS/rails

* dependencies/autoload
* concern
* deprecation
  • Loading branch information...
1 parent d6c732f commit 24a202ab30257c76debd6de69fb1d3374518a3ec @amatsuda amatsuda committed Jan 6, 2013
@@ -1,8 +1,6 @@
require 'active_support/core_ext/enumerable'
require 'active_support/core_ext/string/conversions'
require 'active_support/core_ext/module/remove_method'
-require 'active_support/dependencies/autoload'
-require 'active_support/concern'
require 'active_record/errors'
module ActiveRecord
@@ -1,5 +1,4 @@
require 'active_support/core_ext/module/attribute_accessors'
-require 'active_support/deprecation'
module ActiveRecord
module AttributeMethods
@@ -2,7 +2,6 @@
require 'thread_safe'
require 'monitor'
require 'set'
-require 'active_support/deprecation'
module ActiveRecord
# Raised when a connection could not be obtained within the connection
@@ -5,7 +5,6 @@
require 'active_record/connection_adapters/schema_cache'
require 'active_record/connection_adapters/abstract/schema_dumper'
require 'monitor'
-require 'active_support/deprecation'
module ActiveRecord
module ConnectionAdapters # :nodoc:
@@ -1,5 +1,3 @@
-require 'active_support/deprecation'
-
module ActiveRecord
module ConnectionAdapters
class PostgreSQLAdapter < AbstractAdapter
@@ -5,8 +5,6 @@
require 'active_record/fixture_set/file'
require 'active_record/errors'
-require 'active_support/deprecation' # temporary
-
module ActiveRecord
class FixtureClassNotFound < ActiveRecord::ActiveRecordError #:nodoc:
end
@@ -1,5 +1,3 @@
-require 'active_support/deprecation'
-
module ActiveRecord
module Calculations
# Count the records.
@@ -1,4 +1,3 @@
-require 'active_support/concern'
require 'thread'
require 'thread_safe'

0 comments on commit 24a202a

Please sign in to comment.